[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorBox.SetColorList

Loads the list of colors used in the control.

## Declaration

Source position: colorbox.pas line 71

`protected procedure TCustomColorBox.SetColorList;`

## Description

SetColorList is used to fill the Items in the control with the Colors and ColorNames available in the combo-box.

SetColorList clears any existing values in Items, and loads the predefined colors needed for the settings in the Style property. When Style included the value cbCustomColors , the OnGetColors event handler is signalled to load custom colors in the Items, Colors, and ColorNames properties.

The value in Selected is restored prior to exiting from the method.